PYLUPDATE5(1)

NAME
pylupdate5 - create or update Qt Linguist translation files for PyQt5 applications

SYNOPSIS
pylupdate5 [OPTION]... PROJECT-FILE
pylupdate5 [OPTION]... SOURCE... -ts TRANSLATION-FILE...

DESCRIPTION
pylupdate5 reads a qmake project file (.pro), finds the translatable strings in the specified sources and updates the translation files (.ts files) specified in it. The translation files are given to the translator who can use Qt Linguist to read the files and insert the translations.
The .ts file format is a simple human-readable XML format that can be used with version control systems if required.

OPTIONS

-help
    Show a summary of the options.

-version
    Display the version of pylupdate5 and exit.

-verbose
    Explain what is being done.

-noobsolete
    Drop all obsolete strings.

-tr-function name
    Specify name of function that should be used instead of tr().

-translate-function name
    Specify name of function that should be used instead of translate().

AUTHOR
This manual page was written for Debian GNU/Linux by Torsten Marek <shlomme@debian.org> and Dmitry Shachnev <mitya57@debian.org>, but may freely be used by others.